Subject: New Reply Received - Where can I post a complaint in Facebook? I have made an online order on 8th March. They promised de...
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 11 Mar 2021 17:54:16 +0000

Hi Algaili Abdelbagee Ahmed,  The customer has responded to the ticket.  Where can I post a complaint in Facebook? I have made an online order on 8th March. They promised de...  Ticket comment <div>I don't know if you are acting stupid or actually are. The delivery was promised on 10th.. what is the date today? If you don't know the difference you are as incompetent as the rest of them... I was not able to give my son a present for his birthday because of your incompetency... I will make sure the other parents don't make the same mistake...</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2229429